Split History container in the Library (like sidebar BY DATE)



The Places Library, as it stands today, lacks some critical features which are provided by the history sidebar and it is not as streamlined as the Pre-Places bookmarks organizer.

First, instead of providing the History, Tags, and Bookmarks in a tree, they should be provided as a series of views (much like the History Sidebar dose).

+------------------------+
| View Menu |
+------------------------+
| Bookmarks |
| Tags |
| History |
| Search |
+------------------------+
| [] Split-view |
+------------------------+
| Show Columns > |
| Sort > |
+------------------------+

(Or, I suppose the  group could be added to the Organize menu... Either could work for me)

In addition, a 'Sort by Date and Site' sorting option should be added to provide missing functionality from the History Sidebar. This is a very useful sorting mode and it should not be missing from the main Organizer.

When searching, the search bar should automatically limit it's search scope to the type of content that is being viewed.
I.E. when looking at bookmarks, the search bar should search only bookmarks, and when viewing history it would search only history, etc...

Finally, and I know this is a contention among many users, there should be an option to switch between a single-view and a split-view.
-The single-view would be much like the Pre-Places bookmarks organize was. The Bookmark folders (and history sites) would be presented in a hierarchical tree with their contents listed below them
-The split-view would be what currently exists, with the  hierarchy viewable in the left panel and the folder contents viewed in the right panel.


(Sorry in advance if this should habe been broken up in to multiple bugs or added to a  bug. This is my first bug so I'm not quite sure on the etiquette)




Open Places Library



History, Tags, and Bookmarks are presented in tree view with no option for advanced history views

History->Show All History opens Library with the History folder selected
Bookmarks->Organize Bookmarks opens Library with the All Bookmarks folder selected

Searching automatically searches all Places entries


History->Show All History should open Library in the History view
Bookmarks->Organize Bookmarks should open Library in the Bookmarks view

menu should provide options to switch between the Tags, Bookmarks, Advanced History, and Search views

Search should be context sensitive and limit search to content of current view 
